Support » Plugin: WooCommerce » he The “add_to_cart_fragments” hook uses out of date data structures since 3.0.8

  • peeyooshk

    (@peeyooshk)


    Hello:

    I am getting the below error:-

    “The The “add_to_cart_fragments” hook uses out of date data structures and function is is deprecated since version 3.0.8. Replace with woocommerce_add_to_cart_fragments.”

    I tried Install woocommerce pages from system options but still get the same.

    Regards

Viewing 3 replies - 1 through 3 (of 3 total)
  • MariuszSzatkowski

    (@motylanogha)

    Hi,
    It seems that your theme doesn’t support Woocommerce 3.0.* at the moment.
    If you can access your theme files via ftp, you should find where the add_to_cart_fragments function is located (grep -R “add_to_cart_fragments” /path_of_your_theme).
    Then change it to the new function woocommerce_add_to_cart_fragments.

    I hope that it will help,

    Best,
    Mariusz

    peeyooshk

    (@peeyooshk)

    Hey Mariusz:

    Thanks for your revert.
    I did try that grep earlier and again today with root permission but it resulted in nothing.
    I am using Buddyboss marketplace theme with WC Vendors if that helps.

    Best Regards
    Peeyoosh Kumar

    MariuszSzatkowski

    (@motylanogha)

    Hi
    Did you try to contact to Buddyboss marketplace theme with WC Vendors support forum? As I see they use child themes (https://www.buddyboss.com/child-themes/), so that would be the best place to ask the question for theme personalization I think.

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘he The “add_to_cart_fragments” hook uses out of date data structures since 3.0.8’ is closed to new replies.